# Class WatcherOrBitSet

java.lang.Object
org.apache.zookeeper.server.watch.WatcherOrBitSet

public class WatcherOrBitSet extends Object

## Constructor Summary

Constructors
Constructor
Description
`WatcherOrBitSet(Set<Watcher> watchers)`
`WatcherOrBitSet(BitHashSet watcherBits)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(int watcherBit)`
`boolean`
`contains(Watcher watcher)`
`int`
`size()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WatcherOrBitSet

public WatcherOrBitSet(Set<Watcher> watchers)

### WatcherOrBitSet

public WatcherOrBitSet(BitHashSet watcherBits)

## Method Details

### contains

public boolean contains(Watcher watcher)

### contains

public boolean contains(int watcherBit)

### size

public int size()